import uniReq from '@/http/init'
export const login = (data) => {
    return uniReq.post({
        url: '/api/user/login/wx/telnum',
        data
    })
}
export const getInfo = () => {
    return uniReq.post({
        url: '/api/user/info'
    })
}
export const ticketlist = (data) => {
    return uniReq.post({
        url: '/api/ticket/ticketList',
        isLoading:false,
        data
    })
}
export const unusedTickets = (data) => {
    return uniReq.post({
        url: '/api/smart/appointment/get/all/unused/tickets',
        isLoading:false,
        data
    })
}
export const historicalTickets = (data) => {
    return uniReq.post({
        url: '/api/smart/appointment/get/all/historical/tickets',
        isLoading:false,
        data
    })
}
export const sendCode = (data) => {
    return uniReq.post({
        url: '/api/user/send/msg',
        data
    })
}
export const reTicket = (data) => {
    return uniReq.post({
        url: '/api/smart/appointment/book/ticket',
        data
    })
}
export const upload = (data) => {
    return uniReq.upload({
        name: data.name,
        url: '/api/common/upload',
        filePath: data.filePath,
        interceptor: {
            response(res) {
                try {
                    return JSON.parse(res.data)
                } catch (e) {
                    return e
                }
            }
        }
    })
}
export const updateInfo = (data) => {
    return uniReq.post({
        url: '/api/user/update',
        data
    })
}
export const extractingBlindBoxes= (data) => {
    return uniReq.post({
        url: '/api/smart/appointment/draw/ticket/from/blind/box',
        data,
        isShowMsg:false,
    })
}
export const getQrCode= (data) => {
    return uniReq.get({
        url: '/api/smart/appointment/qr/get',
        params:data,
        responseType: 'arraybuffer'
    })
}
